Search for live streams by keyword
curl --request GET \
--url https://full-tiktok-api.p.rapidapi.com/api/v1/search/live \
--header 'x-rapidapi-key: <api-key>'import requests
url = "https://full-tiktok-api.p.rapidapi.com/api/v1/search/live"
headers = {"x-rapidapi-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-rapidapi-key': '<api-key>'}};
fetch('https://full-tiktok-api.p.rapidapi.com/api/v1/search/live', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timestamp": "2025-03-12T14:32:01.498Z",
"cached": false,
"version": "2025-01"
},
"data": [
{
"room_id": "7646869077847248000",
"title": "hardcore minecraft + cape drop",
"status": 2,
"is_live": true,
"viewer_count": 935,
"cover_url": "https://p16-sign.tiktokcdn-us.com/...",
"streamer": {
"username": "royalreckers",
"display_name": "Reckers",
"avatar_url": "https://p16-sign.tiktokcdn-us.com/..."
}
}
],
"pagination": {
"cursor": "1778971238000",
"has_more": true
},
"error": {
"code": "NOT_FOUND",
"message": "The requested resource was not found.",
"details": null
}
}{
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timestamp": "2025-03-12T14:32:01.498Z",
"cached": false,
"version": "2025-01"
},
"data": null,
"pagination": null,
"error": {
"code": "NOT_FOUND",
"message": "The requested resource was not found.",
"details": null
}
}{
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timestamp": "2025-03-12T14:32:01.498Z",
"cached": false,
"version": "2025-01"
},
"data": null,
"pagination": null,
"error": {
"code": "NOT_FOUND",
"message": "The requested resource was not found.",
"details": null
}
}Search
Search for live streams by keyword
Returns a paginated list of active live rooms matching the keyword. Results reflect real-time availability and may vary between requests.
GET
/
api
/
v1
/
search
/
live
Search for live streams by keyword
Returns a paginated list of active live rooms matching the keyword. Results reflect real-time availability and may vary between requests.
Authorizations
Your RapidAPI subscription key. Injected automatically by the RapidAPI gateway in production.
Query Parameters
Search term. Also accepted as ?q=
Opaque base64 pagination token returned by the previous response. Encodes both the offset and the search session ID required by the upstream API.
Response
Success
⌘I